=== modified file 'utilities/audit-security-settings.py'
--- utilities/audit-security-settings.py	2011-04-25 20:17:33 +0000
+++ utilities/audit-security-settings.py	2012-01-01 03:10:25 +0000
@@ -11,9 +11,10 @@
 """
 __metatype__ = type
 
+import _pythonpath
+
 import os
 
-import _pythonpath
 from lp.scripts.utilities.settingsauditor import SettingsAuditor
 
 

=== modified file 'utilities/bsondump'
--- utilities/bsondump	2011-12-08 05:54:12 +0000
+++ utilities/bsondump	2012-01-01 03:10:25 +0000
@@ -1,6 +1,9 @@
 #! /usr/bin/python
-import bson
+
 from pprint import pprint
 import sys
 
+import bson
+
+
 pprint(bson.decode_all(file(sys.argv[1], 'rb').read()))

=== modified file 'utilities/check-configs.py'
--- utilities/check-configs.py	2011-12-29 05:29:36 +0000
+++ utilities/check-configs.py	2012-01-01 03:10:25 +0000
@@ -12,17 +12,19 @@
 
 import _pythonpath
 
+import optparse
 import os
 import sys
-import ZConfig
-import optparse
 import traceback
 
 from lazr.config import ConfigSchema
 from lazr.config.interfaces import ConfigErrors
+import ZConfig
 
 # Calculate some landmark paths.
 import lp.services.config
+
+
 here = os.path.dirname(lp.services.config.__file__)
 lazr_schema_file = os.path.join(here, 'schema-lazr.conf')
 lazr_schema = ConfigSchema(lazr_schema_file)

=== modified file 'utilities/check-content-interfaces.py'
--- utilities/check-content-interfaces.py	2011-12-24 17:48:54 +0000
+++ utilities/check-content-interfaces.py	2012-01-01 03:10:25 +0000
@@ -41,9 +41,12 @@
 
 from zope.interface import implementedBy
 from zope.interface.exceptions import (
-    BrokenImplementation, BrokenMethodImplementation)
+    BrokenImplementation,
+    BrokenMethodImplementation,
+    )
 from zope.interface.verify import verifyClass
 
+
 all_model_names = 'Some miracle process'
 
 def check_content_classes():

=== modified file 'utilities/community-contributions.py'
--- utilities/community-contributions.py	2011-12-14 01:08:44 +0000
+++ utilities/community-contributions.py	2012-01-01 03:10:25 +0000
@@ -47,6 +47,7 @@
 from bzrlib.branch import Branch
 from bzrlib.osutils import format_date
 
+
 try:
     from editmoin import editshortcut
 except:

=== modified file 'utilities/create-lp-wadl-and-apidoc.py'
--- utilities/create-lp-wadl-and-apidoc.py	2011-12-24 16:23:17 +0000
+++ utilities/create-lp-wadl-and-apidoc.py	2012-01-01 03:10:25 +0000
@@ -10,7 +10,7 @@
     % LPCONFIG=development bin/py utilities/create-lp-wadl-and-apidoc.py \\
       "lib/canonical/launchpad/apidoc/wadl-development-%(version)s.xml"
 """
-import _pythonpath  # Not lint, actually needed.
+import _pythonpath
 
 from multiprocessing import Process
 import optparse
@@ -19,17 +19,17 @@
 
 import bzrlib
 from bzrlib.branch import Branch
+from lazr.restful.interfaces import IWebServiceConfiguration
 from zope.component import getUtility
 from zope.pagetemplate.pagetemplatefile import PageTemplateFile
 
+from lp.services.scripts import execute_zcml_for_scripts
 from lp.services.webservice.wadl import (
     generate_html,
     generate_json,
     generate_wadl,
     )
-from lp.services.scripts import execute_zcml_for_scripts
 from lp.systemhomes import WebServiceApplication
-from lazr.restful.interfaces import IWebServiceConfiguration
 
 
 def write(filename, content, timestamp):

=== modified file 'utilities/ec2test-share-images.py'
--- utilities/ec2test-share-images.py	2009-08-31 05:15:30 +0000
+++ utilities/ec2test-share-images.py	2012-01-01 03:10:25 +0000
@@ -10,6 +10,7 @@
 
 import boto
 
+
 owners = {
     'gary': 255383312499,
     'francis': 559320013529}

=== modified file 'utilities/findimports.py'
--- utilities/findimports.py	2010-04-27 19:48:39 +0000
+++ utilities/findimports.py	2012-01-01 03:10:25 +0000
@@ -36,13 +36,13 @@
 Ave, Cambridge, MA 02139, USA.
 """
 
-import os
-import sys
-import getopt
 import compiler
-import linecache
 from compiler import ast
 from compiler.visitor import ASTVisitor
+import getopt
+import linecache
+import os
+import sys
 
 
 class ImportFinder(ASTVisitor):

=== modified file 'utilities/formatdoctest.py'
--- utilities/formatdoctest.py	2009-09-17 17:29:33 +0000
+++ utilities/formatdoctest.py	2012-01-01 03:10:25 +0000
@@ -13,7 +13,10 @@
 
 import compiler
 from difflib import unified_diff
-from doctest import DocTestParser, Example
+from doctest import (
+    DocTestParser,
+    Example,
+    )
 from optparse import OptionParser
 import re
 import sys

=== modified file 'utilities/generate-external-bug-status-docs'
--- utilities/generate-external-bug-status-docs	2010-11-10 09:30:56 +0000
+++ utilities/generate-external-bug-status-docs	2012-01-01 03:10:25 +0000
@@ -21,11 +21,10 @@
 import _pythonpath
 
 import codecs
-import sys
-
 from datetime import datetime
 from itertools import chain
 from optparse import OptionParser
+import sys
 
 from lp.bugs.externalbugtracker import BUG_TRACKER_CLASSES
 

=== modified file 'utilities/get-branch-info'
--- utilities/get-branch-info	2011-12-29 05:29:36 +0000
+++ utilities/get-branch-info	2012-01-01 03:10:25 +0000
@@ -13,15 +13,14 @@
 import sys
 
 from bzrlib.urlutils import join
-
 from zope.component import getUtility
 
+from lp.code.enums import BranchType
+from lp.code.interfaces.branchlookup import IBranchLookup
+from lp.codehosting.vfs import branch_id_to_path
 from lp.services.config import config
 from lp.services.scripts import execute_zcml_for_scripts
 from lp.services.webapp.publisher import canonical_url
-from lp.code.enums import BranchType
-from lp.code.interfaces.branchlookup import IBranchLookup
-from lp.codehosting.vfs import branch_id_to_path
 
 
 def main(args):

=== modified file 'utilities/link-external-sourcecode'
--- utilities/link-external-sourcecode	2011-06-30 23:12:06 +0000
+++ utilities/link-external-sourcecode	2012-01-01 03:10:25 +0000
@@ -29,6 +29,7 @@
 # etc.
 from bzrlib.trace import enable_default_logging
 enable_default_logging()
+
 from bzrlib.branch import Branch
 from bzrlib.plugin import load_plugins
 load_plugins()

=== modified file 'utilities/list-pages'
--- utilities/list-pages	2011-12-29 05:29:36 +0000
+++ utilities/list-pages	2012-01-01 03:10:25 +0000
@@ -43,6 +43,8 @@
 # - print the nourishing nutty goodness to stdout
 
 import _pythonpath
+
+
 _pythonpath
 
 from inspect import getmro

=== modified file 'utilities/local-latency'
--- utilities/local-latency	2011-08-05 16:18:26 +0000
+++ utilities/local-latency	2012-01-01 03:10:25 +0000
@@ -2,8 +2,8 @@
 
 __metaclass__ = type
 
+import subprocess
 import sys
-import subprocess
 
 from script_commands import (
     helps,

=== modified file 'utilities/lsconf.py'
--- utilities/lsconf.py	2011-12-29 05:29:36 +0000
+++ utilities/lsconf.py	2012-01-01 03:10:25 +0000
@@ -11,14 +11,15 @@
 # pylint: disable-msg=W0403
 import _pythonpath
 
+from operator import attrgetter
+from optparse import OptionParser
 import os
 import sys
-from optparse import OptionParser
-from operator import attrgetter
 from textwrap import dedent
 
+from lazr.config import ImplicitTypeSchema
+
 import lp.services.config
-from lazr.config import ImplicitTypeSchema
 
 
 _schema_dir = os.path.abspath(os.path.dirname(lp.services.config.__file__))

=== modified file 'utilities/migrater/find.py'
--- utilities/migrater/find.py	2010-10-16 21:48:06 +0000
+++ utilities/migrater/find.py	2012-01-01 03:10:25 +0000
@@ -10,12 +10,11 @@
 """Find in files and replace strings in many files."""
 
 import mimetypes
+from optparse import OptionParser
 import os
 import re
 import sys
 
-from optparse import OptionParser
-
 
 mimetypes.init()
 

=== modified file 'utilities/migrater/migrater.py'
--- utilities/migrater/migrater.py	2011-12-24 05:07:46 +0000
+++ utilities/migrater/migrater.py	2012-01-01 03:10:25 +0000
@@ -8,15 +8,27 @@
 """
 
 import errno
+from optparse import OptionParser
 import os
 import re
 
-from find import find_files, find_matches
-from optparse import OptionParser
+from find import (
+    find_files,
+    find_matches,
+    )
 from rename_module import (
-    bzr_add, bzr_move_file, bzr_remove_file, rename_module, update_references)
+    bzr_add,
+    bzr_move_file,
+    bzr_remove_file,
+    rename_module,
+    update_references,
+    )
 from rename_zcml import handle_zcml
-from utils import log, run, spew
+from utils import (
+    log,
+    run,
+    spew,
+    )
 
 
 MOVER = os.path.join(os.path.dirname(__file__), 'rename_module.py')

=== modified file 'utilities/migrater/rename_module.py'
--- utilities/migrater/rename_module.py	2011-12-21 17:31:35 +0000
+++ utilities/migrater/rename_module.py	2012-01-01 03:10:25 +0000
@@ -30,7 +30,10 @@
 
 from bzrlib import workingtree
 from find import find_matches
-from utils import fail, log
+from utils import (
+    fail,
+    log,
+    )
 
 
 def file2module(module_file):

=== modified file 'utilities/migrater/rename_zcml.py'
--- utilities/migrater/rename_zcml.py	2011-12-24 17:48:54 +0000
+++ utilities/migrater/rename_zcml.py	2012-01-01 03:10:25 +0000
@@ -15,7 +15,11 @@
 from find import find_matches
 from lxml import etree
 from rename_module import (
-    bzr_add, bzr_has_filename, bzr_move_file, bzr_remove_file)
+    bzr_add,
+    bzr_has_filename,
+    bzr_move_file,
+    bzr_remove_file,
+    )
 
 
 EMPTY_ZCML = """\

=== modified file 'utilities/migrater/utils.py'
--- utilities/migrater/utils.py	2009-09-17 17:29:33 +0000
+++ utilities/migrater/utils.py	2012-01-01 03:10:25 +0000
@@ -13,8 +13,8 @@
     ]
 
 
+import subprocess
 import sys
-import subprocess
 
 
 SPACE = ' '

=== modified file 'utilities/mock-code-import'
--- utilities/mock-code-import	2011-12-24 17:49:30 +0000
+++ utilities/mock-code-import	2012-01-01 03:10:25 +0000
@@ -23,15 +23,18 @@
 import _pythonpath
 
 import os
-from subprocess import PIPE, Popen
+from subprocess import (
+    PIPE,
+    Popen,
+    )
 import tempfile
+
 import transaction
 
-from lp.codehosting.codeimport.tests.test_foreigntree import (
-    SubversionServer)
+from lp.codehosting.codeimport.tests.test_foreigntree import SubversionServer
 from lp.services.scripts import execute_zcml_for_scripts
+from lp.services.webapp import canonical_url
 from lp.testing.factory import LaunchpadObjectFactory
-from lp.services.webapp import canonical_url
 
 
 def shell(*args):

=== modified file 'utilities/on-edge'
--- utilities/on-edge	2010-10-24 21:00:11 +0000
+++ utilities/on-edge	2012-01-01 03:10:25 +0000
@@ -19,8 +19,8 @@
 import re
 import sys
 
+from bzrlib import errors
 from bzrlib.branch import Branch
-from bzrlib import errors
 from bzrlib.transport import get_transport
 
 

=== modified file 'utilities/paste'
--- utilities/paste	2010-05-27 14:33:18 +0000
+++ utilities/paste	2012-01-01 03:10:25 +0000
@@ -6,20 +6,22 @@
 import _pythonpath
 
 import base64
+from cookielib import (
+    Cookie,
+    CookieJar,
+    )
 import httplib
+from optparse import OptionParser
 import os
 import pwd
 import sys
 import urllib
+from urlparse import urljoin
 import webbrowser
-from optparse import OptionParser
-from urlparse import urljoin
-from cookielib import Cookie, CookieJar
+
 from mechanize import HTTPRobotRulesProcessor
-
 from zope.testbrowser.browser import Browser
 
-
 # Should we be able to override any of these?
 AUTH_FILE = '~/.lp_auth_cookie'
 PRIVATE_PASTE_HOST = 'pastebin.canonical.com'

=== modified file 'utilities/pgbackup.py'
--- utilities/pgbackup.py	2010-04-27 19:48:39 +0000
+++ utilities/pgbackup.py	2012-01-01 03:10:25 +0000
@@ -12,14 +12,15 @@
 __metaclass__ = type
 __all__ = []
 
-import sys
+from datetime import datetime
+import logging
+from optparse import OptionParser
 import os
 import os.path
 import stat
 import subprocess
-import logging
-from datetime import datetime
-from optparse import OptionParser
+import sys
+
 
 MB = float(1024*1024)
 

=== modified file 'utilities/pgcreate.py'
--- utilities/pgcreate.py	2010-04-27 19:48:39 +0000
+++ utilities/pgcreate.py	2012-01-01 03:10:25 +0000
@@ -12,8 +12,10 @@
 
 import sys
 import time
+
 import psycopg2
 
+
 def main():
     if len(sys.argv) != 3:
         print >> sys.stderr, 'Usage: %s [template] [dbname]' % sys.argv[0]

=== modified file 'utilities/pgkillactive.py'
--- utilities/pgkillactive.py	2010-04-27 19:48:39 +0000
+++ utilities/pgkillactive.py	2012-01-01 03:10:25 +0000
@@ -12,11 +12,12 @@
 
 from optparse import OptionParser
 import os
-import psycopg2
 import signal
 import sys
 import time
 
+import psycopg2
+
 
 def main():
     parser = OptionParser()

=== modified file 'utilities/pgkillidle.py'
--- utilities/pgkillidle.py	2010-04-27 19:48:39 +0000
+++ utilities/pgkillidle.py	2012-01-01 03:10:25 +0000
@@ -12,10 +12,11 @@
 
 from optparse import OptionParser
 import os
-import psycopg2
 import signal
 import sys
 
+import psycopg2
+
 
 def main():
     parser = OptionParser()

=== modified file 'utilities/pglogwatch.py'
--- utilities/pglogwatch.py	2010-04-27 19:48:39 +0000
+++ utilities/pglogwatch.py	2012-01-01 03:10:25 +0000
@@ -7,9 +7,11 @@
 Watch live PostgreSQL logs for interesting stuff
 """
 
-import re, sys
 from optparse import OptionParser
+import re
 import subprocess
+import sys
+
 
 def get_options(args=None):
     parser = OptionParser()

=== modified file 'utilities/pgmassacre.py'
--- utilities/pgmassacre.py	2011-10-05 07:02:01 +0000
+++ utilities/pgmassacre.py	2012-01-01 03:10:25 +0000
@@ -13,11 +13,12 @@
 (but do nothing that could put the system into recovery mode).
 """
 
+from optparse import OptionParser
 import sys
 import time
+
 import psycopg2
 import psycopg2.extensions
-from optparse import OptionParser
 
 
 def connect(dbname='template1'):

=== modified file 'utilities/pgrestore.py'
--- utilities/pgrestore.py	2010-04-27 19:48:39 +0000
+++ utilities/pgrestore.py	2012-01-01 03:10:25 +0000
@@ -8,10 +8,16 @@
 when we are running PostgreSQL 8 as it will correctly order its dumps.
 """
 
-import sys, os, tempfile
 from optparse import OptionParser
-from subprocess import Popen, PIPE
+import os
 from signal import SIGTERM
+from subprocess import (
+    PIPE,
+    Popen,
+    )
+import sys
+import tempfile
+
 
 class DumpFile(object):
     """File-like object wrapping a normal or compressed file on disk"""

=== modified file 'utilities/pgstats.py'
--- utilities/pgstats.py	2010-04-27 19:48:39 +0000
+++ utilities/pgstats.py	2012-01-01 03:10:25 +0000
@@ -11,8 +11,10 @@
 __metaclass__ = type
 
 import sys
+
 import psycopg2
 
+
 def percentage(num, total):
     """Return a percentage string of num/total"""
     if total == 0:

=== modified file 'utilities/prioritygrid.py'
--- utilities/prioritygrid.py	2009-08-31 05:15:30 +0000
+++ utilities/prioritygrid.py	2012-01-01 03:10:25 +0000
@@ -9,6 +9,7 @@
 
 import sys
 
+
 class Row:
     def __init__(self, scores, trailing):
         self.scores = scores

=== modified file 'utilities/rocketfuel-mp-status'
--- utilities/rocketfuel-mp-status	2011-08-21 08:46:41 +0000
+++ utilities/rocketfuel-mp-status	2012-01-01 03:10:25 +0000
@@ -1,11 +1,16 @@
 #!/usr/bin/python
 
-from bzrlib import branch, errors
 import commands
-from launchpadlib.launchpad import Launchpad
 import os
 import sys
 
+from bzrlib import (
+    branch,
+    errors,
+    )
+from launchpadlib.launchpad import Launchpad
+
+
 launchpad = Launchpad.login_with('rocketfuel-mp-status', 'production')
 trunk = commands.getoutput(
     '. ~/.rocketfuel-env.sh && echo $LP_TRUNK_NAME')

=== modified file 'utilities/roundup-sniffer.py'
--- utilities/roundup-sniffer.py	2010-04-27 19:48:39 +0000
+++ utilities/roundup-sniffer.py	2012-01-01 03:10:25 +0000
@@ -35,17 +35,19 @@
 
 __metaclass__ = type
 
+from base64 import urlsafe_b64encode
 import csv
 import optparse
-import sys
-import urllib2
-
-from base64 import urlsafe_b64encode
 from os import mkdir
-from os.path import join, exists
+from os.path import (
+    exists,
+    join,
+    )
 from pprint import pprint
+import sys
 from time import sleep
 from urllib import urlencode
+import urllib2
 
 from BeautifulSoup import BeautifulSoup
 

=== modified file 'utilities/shhh.py'
--- utilities/shhh.py	2010-05-12 14:47:08 +0000
+++ utilities/shhh.py	2012-01-01 03:10:25 +0000
@@ -9,8 +9,12 @@
 
 __metaclass__ = type
 
+from subprocess import (
+    PIPE,
+    Popen,
+    )
 import sys
-from subprocess import Popen, PIPE
+
 
 def shhh(cmd):
     r"""Run a command and suppress output unless it returns a non-zero exitcode

=== modified file 'utilities/soyuz-sampledata-setup.py'
--- utilities/soyuz-sampledata-setup.py	2011-12-24 17:49:30 +0000
+++ utilities/soyuz-sampledata-setup.py	2012-01-01 03:10:25 +0000
@@ -22,29 +22,31 @@
 
 import _pythonpath
 
+import os
 import re
-import os
 import subprocess
 import sys
 from textwrap import dedent
+
+from storm.store import Store
 import transaction
-
 from zope.component import getUtility
 from zope.event import notify
 from zope.lifecycleevent import ObjectCreatedEvent
 from zope.security.proxy import removeSecurityProxy
 
-from storm.store import Store
-
 from lp.app.interfaces.launchpad import ILaunchpadCelebrities
-from lp.services.webapp.interfaces import (
-    IStoreSelector, MAIN_STORE, MASTER_FLAVOR, SLAVE_FLAVOR)
-
 from lp.registry.interfaces.codeofconduct import ISignedCodeOfConductSet
 from lp.registry.interfaces.person import IPersonSet
 from lp.registry.interfaces.series import SeriesStatus
 from lp.registry.model.codeofconduct import SignedCodeOfConduct
 from lp.services.scripts.base import LaunchpadScript
+from lp.services.webapp.interfaces import (
+    IStoreSelector,
+    MAIN_STORE,
+    MASTER_FLAVOR,
+    SLAVE_FLAVOR,
+    )
 from lp.soyuz.enums import SourcePackageFormat
 from lp.soyuz.interfaces.component import IComponentSet
 from lp.soyuz.interfaces.processor import IProcessorFamilySet
@@ -52,8 +54,8 @@
 from lp.soyuz.interfaces.sourcepackageformat import (
     ISourcePackageFormatSelectionSet,
     )
+from lp.soyuz.model.component import ComponentSelection
 from lp.soyuz.model.section import SectionSelection
-from lp.soyuz.model.component import ComponentSelection
 from lp.soyuz.scripts.initialize_distroseries import InitializeDistroSeries
 from lp.testing.factory import LaunchpadObjectFactory
 

=== modified file 'utilities/summarizelogs.py'
--- utilities/summarizelogs.py	2010-04-27 19:48:39 +0000
+++ utilities/summarizelogs.py	2012-01-01 03:10:25 +0000
@@ -8,11 +8,12 @@
 #
 # Parses Launchpad error logs and returns a list of most frequent errors
 
+import datetime
+import pprint
 import re
-import pprint
 import sys
 import time
-import datetime
+
 
 COUNT = 10
 LAST_DAYS = 7

=== modified file 'utilities/tcpwatch/setup.py'
--- utilities/tcpwatch/setup.py	2005-10-31 18:29:12 +0000
+++ utilities/tcpwatch/setup.py	2012-01-01 03:10:25 +0000
@@ -2,6 +2,7 @@
 
 from distutils.core import setup
 
+
 setup(name="tcpwatch",
       version="1.2.1",
       description="TCP monitoring and logging tool with support for HTTP 1.1",

=== modified file 'utilities/tcpwatch/tcpwatch.py'
--- utilities/tcpwatch/tcpwatch.py	2007-08-04 15:40:41 +0000
+++ utilities/tcpwatch/tcpwatch.py	2012-01-01 03:10:25 +0000
@@ -78,12 +78,15 @@
     'TCPWatch %s Copyright 2001 Shane Hathaway, Zope Corporation'
     % VERSION)
 
-import sys
+import asyncore
+import getopt
 import os
 import socket
-import asyncore
-import getopt
-from time import time, localtime
+import sys
+from time import (
+    localtime,
+    time,
+    )
 
 
 RECV_BUFFER_SIZE = 8192

=== modified file 'utilities/top-tests.py'
--- utilities/top-tests.py	2010-04-27 19:48:39 +0000
+++ utilities/top-tests.py	2012-01-01 03:10:25 +0000
@@ -11,11 +11,12 @@
 
 __metaclass__ = type
 
-import re
 import operator
 import os
+import re
 import sys
 
+
 LEN = 20
 
 class ParseException(Exception):

=== modified file 'utilities/update-copyright'
--- utilities/update-copyright	2010-09-28 07:46:22 +0000
+++ utilities/update-copyright	2012-01-01 03:10:25 +0000
@@ -19,7 +19,6 @@
     )
 import sys
 
-
 # This script lives in the 'utilites' directory.
 UTILITIES_DIR = os.path.dirname(__file__)
 CURRENT_YEAR = date.today().year

=== modified file 'utilities/update-sourcecode'
--- utilities/update-sourcecode	2011-05-31 10:06:55 +0000
+++ utilities/update-sourcecode	2012-01-01 03:10:25 +0000
@@ -8,6 +8,7 @@
 import os
 import sys
 
+
 sys.path.insert(0,
     os.path.join(os.path.dirname(os.path.dirname(__file__)), 'lib'))
 

=== modified file 'utilities/xxxreport.py'
--- utilities/xxxreport.py	2010-04-27 19:48:39 +0000
+++ utilities/xxxreport.py	2012-01-01 03:10:25 +0000
@@ -18,7 +18,7 @@
 import time
 
 from bzrlib import bzrdir
-from bzrlib.errors import (NotBranchError)
+from bzrlib.errors import NotBranchError
 
 
 excluded_dir_re = re.compile(r'.*(not-used|lib/mailman)')

